<?xml version="1.0" encoding="utf-8"?>
<!--
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 -->

<manifest xmlns:android="http://schemas.android.com/apk/res/android"
     xmlns:androidprv="http://schemas.android.com/apk/prv/res/android"
     xmlns:tools="http://schemas.android.com/tools"
     package="android.server.wm.cts"
     android:targetSandboxVersion="2">

    <uses-permission android:name="android.permission.READ_LOGS"/>
    <uses-permission android:name="android.permission.REQUEST_DELETE_PACKAGES"/>
    <uses-permission android:name="android.permission.DISABLE_KEYGUARD"/>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.MANAGE_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.STOP_APP_SWITCHES"/>
    <uses-permission android:name="android.permission.CAPTURE_VIDEO_OUTPUT"/>
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE"/>
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW"/>
    <uses-permission android:name="android.permission.QUERY_ALL_PACKAGES"/>
    <uses-permission android:name="android.permission.WRITE_SECURE_SETTINGS"/>

    <application android:label="CtsWindowManagerDeviceTestCases"
         android:requestLegacyExternalStorage="true">
        <uses-library android:name="android.test.runner"/>

        <activity android:name="android.server.wm.AspectRatioTests$MaxAspectRatioActivity"
             android:label="MaxAspectRatioActivity"
             android:maxAspectRatio="1.0"
             android:resizeableActivity="false"/>

        <activity android:name="android.server.wm.AspectRatioTests$MetaDataMaxAspectRatioActivity"
             android:label="MetaDataMaxAspectRatioActivity"
             android:resizeableActivity="false">
            <meta-data android:name="android.max_aspect"
                 android:value="1.0"/>
        </activity>

        <activity android:name="android.server.wm.AspectRatioTests$MaxAspectRatioResizeableActivity"
             android:label="MaxAspectRatioResizeableActivity"
             android:maxAspectRatio="1.0"
             android:resizeableActivity="true"/>

        <activity android:name="android.server.wm.AspectRatioTests$MaxAspectRatioUnsetActivity"
             android:label="MaxAspectRatioUnsetActivity"
             android:resizeableActivity="false"/>

        <activity android:name="android.server.wm.AspectRatioTests$MinAspectRatioActivity"
             android:label="MinAspectRatioActivity"
             android:minWidth="1dp"
             android:minAspectRatio="3.0"
             android:resizeableActivity="false"/>

        <activity android:name="android.server.wm.AspectRatioTests$MinAspectRatioResizeableActivity"
             android:label="MinAspectRatioResizeableActivity"
             android:minWidth="1dp"
             android:minAspectRatio="3.0"
             android:resizeableActivity="true"/>

        <activity android:name="android.server.wm.AspectRatioTests$MinAspectRatioUnsetActivity"
             android:label="MinAspectRatioUnsetActivity"
             android:resizeableActivity="false"/>

        <activity android:name="android.server.wm.AspectRatioTests$MinAspectRatioLandscapeActivity"
             android:label="MinAspectRatioLandscapeActivity"
             android:minWidth="1dp"
             android:minAspectRatio="3.0"
             android:resizeableActivity="false"
             android:screenOrientation="landscape"/>

        <activity android:name="android.server.wm.AspectRatioTests$MinAspectRatioPortraitActivity"
             android:label="MinAspectRatioPortraitActivity"
             android:minWidth="1dp"
             android:minAspectRatio="3.0"
             android:resizeableActivity="false"
             android:screenOrientation="portrait"/>

        <activity android:name="android.server.wm.ActivityManagerTestBase$ConfigChangeHandlingActivity"
             android:resizeableActivity="true"
             android:configChanges="orientation|screenSize|smallestScreenSize|screenLayout|colorMode|density|touchscreen"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$FirstActivity"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$SecondActivity"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$ThirdActivity"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$SideActivity"
                  android:taskAffinity="nobody.but.SideActivity"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$TranslucentActivity"
             android:theme="@android:style/Theme.Translucent.NoTitleBar"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$SecondTranslucentActivity"
             android:theme="@android:style/Theme.Translucent.NoTitleBar"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$CallbackTrackingActivity"
                  android:configChanges="keyboard|keyboardHidden|navigation"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$SecondCallbackTrackingActivity"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$TranslucentCallbackTrackingActivity"
             android:theme="@android:style/Theme.Translucent.NoTitleBar"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$ShowWhenLockedCallbackTrackingActivity"
                  android:configChanges="keyboard|keyboardHidden|navigation" />

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$SecondProcessCallbackTrackingActivity"
             android:process=":SecondProcess"
             android:exported="true"/>

        <provider android:name="android.server.wm.lifecycle.LifecycleLog"
             android:authorities="android.server.wm.lifecycle.logprovider"
             android:exported="true"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$LaunchForResultActivity"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$ResultActivity"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$TranslucentResultActivity"
                  android:theme="@android:style/Theme.Dialog"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$SingleTopActivity"
             android:launchMode="singleTop"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$ConfigChangeHandlingActivity"
             android:configChanges="orientation|screenSize|smallestScreenSize|screenLayout|colorMode|density"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$PipActivity"
             android:configChanges="orientation|screenSize|smallestScreenSize|screenLayout"
             android:supportsPictureInPicture="true"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$AlwaysFocusablePipActivity"
             android:configChanges="orientation|screenSize|smallestScreenSize|screenLayout"
             android:resizeableActivity="false"
             android:supportsPictureInPicture="true"
             androidprv:alwaysFocusable="true"
             android:exported="true"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$SlowActivity"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$NoDisplayActivity"
             android:theme="@android:style/Theme.NoDisplay"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$DifferentAffinityActivity"
             android:taskAffinity="nobody.but.DifferentAffinityActivity"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$TransitionSourceActivity"
             android:theme="@style/window_activity_transitions"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$TransitionDestinationActivity"
             android:theme="@style/window_activity_transitions"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$LaunchForwardResultActivity"/>

        <activity android:name="android.server.wm.lifecycle.ActivityLifecycleClientTestBase$TrampolineActivity"/>

        <activity android:name="android.server.wm.MultiDisplayActivityLaunchTests$ImmediateLaunchTestActivity"
             android:allowEmbedded="true"/>

        <activity android:name="android.server.wm.MultiDisplaySystemDecorationTests$ImeTestActivity"
             android:resizeableActivity="true"
             android:theme="@style/no_starting_window"
             android:configChanges="orientation|screenSize|smallestScreenSize|screenLayout|colorMode|density|touchscreen"/>
        <activity android:name="android.server.wm.MultiDisplaySystemDecorationTests$ImeTestActivity2"/>
        <activity android:name="android.server.wm.MultiDisplaySystemDecorationTests$ImeTestActivityWithBrokenContextWrapper"/>

        <activity android:name="android.server.wm.MultiDisplayClientTests$ClientTestActivity"/>
        <activity android:name="android.server.wm.MultiDisplayClientTests$NoRelaunchActivity"
             android:resizeableActivity="true"
             android:configChanges="orientation|screenSize|smallestScreenSize|screenLayout|colorMode|density|touchscreen|keyboard|keyboardHidden|navigation"/>

        <activity android:name="android.server.wm.HideOverlayWindowsTest$SystemWindowActivity"
                  android:process=":swa"
                  android:exported="true"/>
        <activity android:name="android.server.wm.HideOverlayWindowsTest$InternalSystemWindowActivity"
                  android:process=":iswa"
                  android:exported="true"/>
        <activity android:name="android.server.wm.HideOverlayWindowsTest$SystemApplicationOverlayActivity"
                  android:process=":saoa"
                  android:exported="true"/>

        <activity android:name="android.server.wm.KeyguardLockedTests$ShowImeAfterLockscreenActivity"
                  android:configChanges="keyboard|keyboardHidden|navigation"/>

        <activity android:name="android.server.wm.KeyguardLockedTests$ShowWhenLockedImeActivity"/>

        <activity android:name="android.server.wm.lifecycle.ActivityStarterTests$StandardActivity"
             android:exported="true"/>

        <activity android:name="android.server.wm.lifecycle.ActivityStarterTests$SecondStandardActivity"
             android:exported="true"/>

        <activity android:name="android.server.wm.lifecycle.ActivityStarterTests$StandardWithSingleTopActivity"
             android:exported="true"/>

        <activity android:name="android.server.wm.lifecycle.ActivityStarterTests$SingleTopActivity"
             android:launchMode="singleTop"
             android:exported="true"/>

        <activity android:name="android.server.wm.lifecycle.ActivityStarterTests$SingleInstanceActivity"
             android:launchMode="singleInstance"
             android:exported="true"/>

        <activity android:name="android.server.wm.lifecycle.ActivityStarterTests$SingleTaskActivity"
             android:launchMode="singleTask"
             android:exported="true"/>

        <activity android:name="android.server.wm.lifecycle.ActivityStarterTests$DocumentIntoExistingActivity"
                  android:documentLaunchMode="intoExisting"
                  android:exported="true"/>
        <activity-alias
            android:name="android.server.wm.lifecycle.ActivityStarterTests$DocumentIntoExistingAliasActivity"
            android:targetActivity="android.server.wm.lifecycle.ActivityStarterTests$DocumentIntoExistingActivity"
            android:exported="true">
        </activity-alias>

        <activity android:name="android.server.wm.lifecycle.ActivityStarterTests$TestLaunchingActivity"
             android:taskAffinity="nobody.but.LaunchingActivity"
             android:exported="true"/>

        <activity android:name="android.server.wm.lifecycle.ActivityStarterTests$LaunchingAndFinishActivity"
             android:taskAffinity="nobody.but.LaunchingActivity"
             android:exported="true"/>

        <activity android:name="android.server.wm.lifecycle.ActivityStarterTests$ClearTaskOnLaunchActivity"
                  android:clearTaskOnLaunch="true"/>

        <activity android:name="android.server.wm.lifecycle.ActivityStarterTests$FinishOnTaskLaunchActivity"
                  android:finishOnTaskLaunch="true"
                  android:exported="true"/>

        <provider android:name="android.server.wm.TestJournalProvider"
             android:authorities="android.server.wm.testjournalprovider"
             android:exported="true"/>

        <!--intent tests-->
        <activity android:name="android.server.wm.intent.Activities$RegularActivity"/>
        <activity android:name="android.server.wm.intent.Activities$SingleTopActivity"
             android:launchMode="singleTop"/>
        <activity android:name="android.server.wm.intent.Activities$SingleInstanceActivity"
             android:launchMode="singleInstance"/>
        <activity android:name="android.server.wm.intent.Activities$SingleInstanceActivity2"
             android:launchMode="singleInstance"
             android:taskAffinity=".t1"/>
        <activity android:name="android.server.wm.intent.Activities$SingleTaskActivity"
             android:launchMode="singleTask"/>
        <activity android:name="android.server.wm.intent.Activities$SingleTaskActivity2"
             android:launchMode="singleTask"
             android:taskAffinity=".t1"/>
        <activity android:name="android.server.wm.intent.Activities$SingleInstancePerTaskActivity"
             android:launchMode="singleInstancePerTask"/>
        <activity android:name="android.server.wm.intent.Activities$SingleInstancePerTaskDocumentNeverActivity"
             android:launchMode="singleInstancePerTask"
             android:documentLaunchMode="never"/>
        <activity android:name="android.server.wm.intent.Activities$TaskAffinity1Activity"
             android:allowTaskReparenting="true"
             android:launchMode="standard"
             android:taskAffinity=".t1"/>
        <activity android:name="android.server.wm.intent.Activities$TaskAffinity1Activity2"
             android:allowTaskReparenting="true"
             android:launchMode="standard"
             android:taskAffinity=".t1"/>
        <activity android:name="android.server.wm.intent.Activities$TaskAffinity1RelinquishTaskIdentityActivity"
             android:relinquishTaskIdentity="true"
             android:taskAffinity=".t1"/>
        <activity android:name="android.server.wm.intent.Activities$TaskAffinity2Activity"
             android:allowTaskReparenting="true"
             android:launchMode="standard"
             android:taskAffinity=".t2"/>
        <activity android:name="android.server.wm.intent.Activities$TaskAffinity3Activity"
             android:allowTaskReparenting="true"
             android:launchMode="standard"
             android:taskAffinity=".t3"/>
        <activity android:name="android.server.wm.intent.Activities$ClearTaskOnLaunchActivity"
             android:allowTaskReparenting="true"
             android:clearTaskOnLaunch="true"
             android:launchMode="standard"
             android:taskAffinity=".t2"/>
        <activity android:name="android.server.wm.intent.Activities$DocumentLaunchIntoActivity"
             android:documentLaunchMode="intoExisting"/>
        <activity android:name="android.server.wm.intent.Activities$DocumentLaunchAlwaysActivity"
             android:documentLaunchMode="always"/>
        <activity android:name="android.server.wm.intent.Activities$DocumentLaunchNeverActivity"
             android:documentLaunchMode="never"/>
        <activity android:name="android.server.wm.intent.Activities$NoHistoryActivity"
             android:noHistory="true"/>
        <activity android:name="android.server.wm.intent.Activities$LauncherActivity"
             android:documentLaunchMode="always"
             android:launchMode="singleInstance"/>
        <activity android:name="android.server.wm.intent.Activities$RelinquishTaskIdentityActivity"
             android:relinquishTaskIdentity="true"/>

        <service android:name="android.server.wm.TestLogService"
             android:enabled="true"
             android:exported="true">
        </service>

        <activity android:name="android.server.wm.AlertWindowsAppOpsTestsActivity"/>
        <activity android:name="android.server.wm.CloseOnOutsideTestActivity"
                  android:theme="@style/no_starting_window"/>
        <activity android:name="android.server.wm.DialogFrameTestActivity" />
        <activity android:name="android.server.wm.DisplayCutoutTests$TestActivity"
                  android:configChanges="orientation|screenSize"
                  android:screenOrientation="nosensor"
                  android:turnScreenOn="true"
                  android:showWhenLocked="true"/>

        <activity android:name="android.server.wm.RoundedCornerTests$TestActivity"
                  android:configChanges="orientation|screenSize"
                  android:screenOrientation="nosensor"
                  android:turnScreenOn="true"
                  android:showWhenLocked="true"/>

        <activity android:name="android.server.wm.PrivacyIndicatorBoundsTests$TestActivity"
                  android:configChanges="orientation|screenSize"
                  android:screenOrientation="nosensor"
                  android:turnScreenOn="true"
                  android:showWhenLocked="true"/>

        <activity android:name="android.server.wm.WindowInsetsAnimationSynchronicityTests$TestActivity"
             android:turnScreenOn="true"
             android:showWhenLocked="true"/>
        <service android:name="android.server.wm.WindowInsetsAnimationSynchronicityTests$SimpleIme"
             android:label="Simple IME"
             android:permission="android.permission.BIND_INPUT_METHOD"
             android:exported="true">
            <intent-filter>
                <action android:name="android.view.InputMethod"/>
            </intent-filter>
            <meta-data android:name="android.view.im"
                 android:resource="@xml/simple_method"/>
        </service>

        <activity android:name="android.server.wm.KeyEventActivity"
             android:exported="true"
             android:configChanges="orientation|screenLayout|keyboard|keyboardHidden|navigation"
             android:showWhenLocked="true"/>
        <activity android:name="android.server.wm.WindowInsetsPolicyTest$TestActivity"
             android:turnScreenOn="true"
             android:showWhenLocked="true"/>
        <activity android:name="android.server.wm.WindowInsetsPolicyTest$FullscreenTestActivity"/>
        <activity android:name="android.server.wm.WindowInsetsPolicyTest$FullscreenWmFlagsTestActivity"/>
        <activity android:name="android.server.wm.WindowInsetsPolicyTest$ImmersiveFullscreenTestActivity"
             android:documentLaunchMode="always"
             android:theme="@style/no_animation"/>
        <activity android:name="android.server.wm.LayoutTests$TestActivity"
             android:theme="@style/no_animation"/>
        <activity android:name="android.server.wm.LocationOnScreenTests$TestActivity"
             android:theme="@style/no_starting_window"/>
        <activity android:name="android.server.wm.LocationInWindowTests$TestActivity"/>
        <activity android:name="android.server.wm.EnsureBarContrastTest$TestActivity"
             android:theme="@style/no_starting_window"/>
        <activity android:name="android.server.wm.WindowFocusTests$PrimaryActivity"/>
        <activity android:name="android.server.wm.WindowFocusTests$SecondaryActivity"
             android:configChanges="orientation|screenSize|smallestScreenSize|screenLayout|colorMode|density|touchscreen"/>
        <activity android:name="android.server.wm.WindowFocusTests$LosingFocusActivity"/>
        <activity android:name="android.server.wm.WindowFocusTests$AutoEngagePointerCaptureActivity" />
        <activity android:name="android.server.wm.WindowMetricsActivityTests$MetricsActivity"
             android:exported="true"
             android:resizeableActivity="true"
             android:supportsPictureInPicture="true"
             android:configChanges="orientation|screenSize|smallestScreenSize|screenLayout|colorMode|density|touchscreen"/>
        <activity android:name="android.server.wm.WindowMetricsActivityTests$MinAspectRatioActivity"
                  android:label="MinAspectRatioActivity"
                  android:minAspectRatio="3.0"
                  android:resizeableActivity="false"/>
        <activity android:name="android.app.Activity"/>
        <activity android:name="android.server.wm.WindowInsetsLayoutTests$TestActivity"/>
        <activity android:name="android.server.wm.WindowInsetsControllerTests$TestActivity"
                  android:theme="@style/no_starting_window"/>
        <activity android:name="android.server.wm.WindowInsetsControllerTests$TestHideOnCreateActivity"/>
        <activity android:name="android.server.wm.WindowInsetsControllerTests$TestShowOnCreateActivity"/>

        <activity android:name="android.server.wm.DragDropTest$DragDropActivity"
             android:screenOrientation="locked"
             android:turnScreenOn="true"
             android:showWhenLocked="true"
             android:label="DragDropActivity"
             android:hardwareAccelerated="true"
             android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.FRAMEWORK_INSTRUMENTATION_TEST"/>
            </intent-filter>
        </activity>

        <activity android:name="android.server.wm.DragDropTest$SoftwareCanvasDragDropActivity"
            android:screenOrientation="locked"
            android:turnScreenOn="true"
            android:showWhenLocked="true"
            android:label="DragDropTest$SoftwareCanvasDragDropActivity"
            android:hardwareAccelerated="false"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.FRAMEWORK_INSTRUMENTATION_TEST"/>
            </intent-filter>
        </activity>

        <activity android:name="android.server.wm.DecorInsetTestsBase$TestActivity"
             android:label="DecorInsetTestsBase.TestActivity"
             android:exported="true"/>

        <activity android:name="android.server.wm.WindowCtsActivity"
             android:theme="@android:style/Theme.Material.NoActionBar"
             android:screenOrientation="locked"
             android:turnScreenOn="true"
             android:showWhenLocked="true"
             android:label="WindowCtsActivity"
             android:configChanges="orientation|screenSize|screenLayout|keyboardHidden"
             android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.FRAMEWORK_INSTRUMENTATION_TEST"/>
            </intent-filter>
        </activity>
        <activity android:name="android.server.wm.SurfaceViewCtsActivity"
             android:screenOrientation="locked"
             android:turnScreenOn="true"
             android:showWhenLocked="true"
             android:label="SurfaceViewCtsActivity"
             android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.FRAMEWORK_INSTRUMENTATION_TEST"/>
            </intent-filter>
        </activity>
        <activity android:name="android.view.cts.surfacevalidator.CapturedActivity"
             android:screenOrientation="locked"
             android:theme="@style/WhiteBackgroundTheme"
             android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>

        <activity android:name="android.view.cts.surfacevalidator.ASurfaceControlTestActivity"
                  android:screenOrientation="locked"
                  android:theme="@style/WhiteBackgroundTheme"
                  android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>
                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>

        <activity android:name="android.server.wm.WindowInputTests$TestActivity" />

        <service android:name="android.view.cts.surfacevalidator.LocalMediaProjectionService"
             android:foregroundServiceType="mediaProjection"
             android:enabled="true">
        </service>

        <activity android:name="android.server.wm.StartActivityAsUserActivity"
             android:directBootAware="true"/>

        <activity android:name="android.server.wm.WindowInsetsAnimationTestBase$TestActivity"
             android:theme="@android:style/Theme.Material.NoActionBar"/>

        <activity android:name="android.server.wm.ForceRelayoutTestBase$TestActivity"
             android:exported="true"/>

        <activity android:name="android.server.wm.ActivityTransitionTests$LauncherActivity"/>

        <activity android:name="android.server.wm.ActivityTransitionTests$TransitionActivity"/>

        <activity android:name="android.server.wm.WindowUntrustedTouchTest$TestActivity"
                  android:exported="true"/>

        <activity android:name="android.server.wm.DisplayHashManagerTest$TestActivity"
                   android:exported="true"/>

        <activity android:name="android.server.wm.CompatChangeTests$ResizeablePortraitActivity"
                  android:resizeableActivity="true"
                  android:screenOrientation="portrait"
                  android:exported="true"/>

        <activity android:name="android.server.wm.CompatChangeTests$ResizeableLargeAspectRatioActivity"
                  android:resizeableActivity="true"
                  android:screenOrientation="portrait"
                  android:minAspectRatio="3"
                  android:exported="true"/>

        <activity android:name="android.server.wm.CompatChangeTests$NonResizeablePortraitActivity"
                  android:resizeableActivity="false"
                  android:screenOrientation="portrait"
                  android:exported="true"/>

        <activity android:name="android.server.wm.CompatChangeTests$NonResizeableAspectRatioActivity"
                  android:resizeableActivity="false"
                  android:screenOrientation="portrait"
                  android:minAspectRatio="1.6"
                  android:exported="true"/>

        <activity android:name="android.server.wm.CompatChangeTests$NonResizeableLargeAspectRatioActivity"
                  android:resizeableActivity="false"
                  android:screenOrientation="portrait"
                  android:minAspectRatio="3"
                  android:exported="true"/>

        <activity android:name="android.server.wm.CompatChangeTests$SupportsSizeChangesPortraitActivity"
                  android:resizeableActivity="false"
                  android:screenOrientation="portrait"
                  android:exported="true">
        <meta-data android:name="android.supports_size_changes"
                       android:value="true"/>
        </activity>

        <service android:name="android.server.wm.WindowContextTests$TestWindowService"
                 android:exported="true"
                 android:enabled="true" />
        <activity android:name="android.server.wm.WindowContextTests$TestActivity"
                  android:exported="true"
                  android:resizeableActivity="true"
                  android:supportsPictureInPicture="true"
                  android:configChanges="orientation|screenSize|smallestScreenSize|screenLayout|colorMode|density|touchscreen"/>
        <activity android:name="android.server.wm.BlurTests$ListenerTestActivity"
                  android:exported="true"/>

        <!-- Overrides the activity declaration in AndroidX test library to remove the starting
             animation. -->
        <activity
            android:name="androidx.test.core.app.InstrumentationActivityInvoker$BootstrapActivity"
            tools:replace="android:theme"
            android:theme="@style/WhiteBackgroundTheme" />
    </application>

    <instrumentation android:name="androidx.test.runner.AndroidJUnitRunner"
         android:targetPackage="android.server.wm.cts"
         android:label="CTS tests of WindowManager">
    </instrumentation>

</manifest>
